Chelabase
ManagementMembers

Invite a person into this project

POST
/v1/projects/{id}/invites

As createInvite (including delivery), with one grant on this project.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Project id

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

delivery?Delivery

How the invitee gets the link. Default email.

Value in

  • "email"
  • "link"
email*string

Trimmed and lowercased.

pg_roles?array<string>

As in a project grant.

platform_role*PlatformRole

A member's platform role on a project. Ordered: Viewer < Developer < Admin.

Value in

  • "viewer"
  • "developer"
  • "admin"
team_ids?array<>|

Refused in any form, [] and null included (422 invalid_request): only a tenant admin's invite (createInvite) attaches teams (MH-8).

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/invites" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "platform_role": "viewer"  }'
{  "invite_url": "string",  "member": {    "accepted_at": "2019-08-24T14:15:22Z",    "access": {      "level": "tenant_admin",      "projects": [        {          "platform_role": "viewer",          "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",          "via": "own"        }      ]    },    "created_at": "2019-08-24T14:15:22Z",    "display_name": "string",    "email": "string",    "has_access": true,    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "invite": {      "expires_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"    },    "status": "invited",    "suspended_at": "2019-08-24T14:15:22Z",    "suspended_by": "c2e368d8-db1b-4e27-8850-4fa018b3a2bc",    "tenant_admin": true  },  "outcome": "invited"}